from model.evaluators.oracle import Oracle
from easydict import EasyDict as edict

def test():
  config = {
      'oracle': {
        'num_process': 4
      },
      'generator': {
        'search_space': 'blah'
      }
  }
  config = edict(config)

  oracle = Oracle(config, None)
  scores = oracle.estimate([0, 1, 2, 3, 4, 5, 6, 7, 8])
  print(scores)
  oracle.estimate([0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11])
